Bug 148612 - Web Inspector: tighten up lifetimes for InspectorController-owned objects; add brace initializers to agents
Summary: Web Inspector: tighten up lifetimes for InspectorController-owned objects; ad...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Brian Burg
URL:
Keywords: InRadar
Depends on:
Blocks: InspectorHydra
  Show dependency treegraph
 
Reported: 2015-08-29 15:41 PDT by Brian Burg
Modified: 2015-09-01 10:52 PDT (History)
9 users (show)

See Also:


Attachments
Proposed Fix (148.06 KB, patch)
2015-08-29 15:50 PDT, Brian Burg
no flags Details | Formatted Diff | Diff
Proposed Fix (rebased for EWS) (147.38 KB, patch)
2015-09-01 10:03 PDT, Brian Burg
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2015-08-29 15:41:54 PDT
Morally, they are owned by InspectorController. InstrumentingAgents has to be Ref<> because of sharing with instrumentation cookies for now.

While I touch every file, might as well clean up to be consistently using brace initializers in the declaration.
Comment 1 Radar WebKit Bug Importer 2015-08-29 15:42:58 PDT
<rdar://problem/22490698>
Comment 2 Brian Burg 2015-08-29 15:50:19 PDT
Created attachment 260227 [details]
Proposed Fix

Depends on other bugs, so it won't apply yet.
Comment 3 Joseph Pecoraro 2015-08-31 11:27:16 PDT
Comment on attachment 260227 [details]
Proposed Fix

View in context: https://bugs.webkit.org/attachment.cgi?id=260227&action=review

r=me

> Source/JavaScriptCore/inspector/agents/JSGlobalObjectDebuggerAgent.h:58
> +    InspectorConsoleAgent* m_consoleAgent  { nullptr };

Nit: double space
Comment 4 Brian Burg 2015-09-01 10:03:31 PDT
Created attachment 260366 [details]
Proposed Fix (rebased for EWS)
Comment 5 Brian Burg 2015-09-01 10:52:41 PDT
Committed r189218: <http://trac.webkit.org/changeset/189218>